Deluge Windows Builds

Specific support for Deluge on Microsoft Windows OS
MadMungo
New User
New User
Posts: 2
Joined: Wed Apr 27, 2022 12:37 pm

Re: Deluge Windows Builds

Post by MadMungo »

Hello,

Using the latest Windows 10 x64 deluge build, 2.1.0dev90, from this thread and noticed that in the deluge client Settings>Queue I cannot set the "Share Ratio" to 0.00 anymore, it keeps repopulating to 0.50.
I have the following set in my core.conf file
"stop_seed_at_ratio": true,
"stop_seed_ratio": 0.0, < This remains as is.

It is working with 2.04.dev51.
mhertz
Moderator
Moderator
Posts: 1511
Joined: Wed Jan 22, 2014 5:05 am
Location: Denmark

Re: Deluge Windows Builds

Post by mhertz »

It's hardcoded to not go under 0.5 in gtkui yes, as previously, but if changing core.conf and never opening gtkui preferences(which triggers the limit check of gtkui), then works without limit(as no limit otherwise in deluge itself, nor in it's other two ui's). Every time opening gtkui preferences then setting reversed to limit if under(first written to core.conf upon closing if remember correct), so either need reconfigure core.conf with deluge closed(or if running thinclient then could use deluge-console's 'config' command to revert it back while still running), or alternatively change the source of one of the ui gtk.builder files of gtkui to remove limit, to fully overcome.
MadMungo
New User
New User
Posts: 2
Joined: Wed Apr 27, 2022 12:37 pm

Re: Deluge Windows Builds

Post by MadMungo »

Thanks for the info.
I edited Deluge-2.10dev96\deluge\ui\gtk3\glade\preferences_dialog.ui and set adjustment_share_ratio to 0.0 to have control over that setting. Now works as expected.

without editing the ui file and starting deluge it would always set share ratio to 0.5 no matter what core.conf had set when adding torrents, this is without opening gtkui preferences.
mhertz
Moderator
Moderator
Posts: 1511
Joined: Wed Jan 22, 2014 5:05 am
Location: Denmark

Re: Deluge Windows Builds

Post by mhertz »

Thanks for the info.
I edited Deluge-2.10dev96\deluge\ui\gtk3\glade\preferences_dialog.ui and set adjustment_share_ratio to 0.0 to have control over that setting. Now works as expected.
You're very welcome mate :) Sorry for not posting the actual file to edit previously, but good job finding and fixing this.
without editing the ui file and starting deluge it would always set share ratio to 0.5 no matter what core.conf had set when adding torrents, this is without opening gtkui preferences.
With all due respect, it doesn't, so something must be wrong in the way you're testing this. If i'm wrong, then I do apologize in advance, but i'm as close to 100% sure upon this as I possible can be, imho. There have been no changes to code regarding this logic, and I also retested it now upon latest doadin unofficial installer, with same result as always.
  • Backup '%appdata%\deluge' with deluge(and it's daemons if running) closed(e.g. just rename it to Deluge-bak).
  • Delete '%appdata%\deluge'(skip this step if renamed it in previous step).
  • Start deluge.exe and stop again when opened.
  • Edit newly generated '%appdata%\deluge\core.conf'.
  • Start deluge.exe and stop again when opened.
  • Open '%appdata%\deluge\core.conf' and see the 'stop_seed_ratio' setting still is '0.0' - This will continue until opening preferences in gkui(even without actually changing anything there and just pressing cancel, still reverts to 0.5).
  • Delete '%appdata%\deluge' and move your backup folder from step 1 back there to restore(or rename 'Deluge-bak' back to 'Deluge' if had done the rename in step 1).
Btw, as you have already installed and changed deluge, then if wanting test this again, then can just extract the installer with 7-Zip(since supports NSIS installer decompression) and run deluge.exe from it's extracted folder. Little easier for quick testings, and just delete extracted folder again afterwards.

Anyway, you got it working for you regardless, which is the most important thing of-course, and so was just posting to elaborate a little upon this :)
sharmanhall
New User
New User
Posts: 2
Joined: Sun May 01, 2022 8:20 am

Re: Deluge Windows Builds

Post by sharmanhall »

I have some issues with all of the deluge 2.x installers I have used.
Current one I tried was deluge-2.1.0.dev59-win64
  1. I cannot get ItConfig 2.0 to work. The main issue is when I select it and apply Deluge crashes.
sharmanhall
New User
New User
Posts: 2
Joined: Sun May 01, 2022 8:20 am

Re: Deluge Windows Builds

Post by sharmanhall »

Also, there is an issue with the PS1 script wherein I cannot download the NSIM package.

Code: Select all

if ( -not (Test-Path 'C:\DelugeDownloads\nsis-3.08.zip' -PathType Leaf) ) { 
        Write-Host "Downloading NSIS..."
        $WebClient.DownloadFile("https://phoenixnap.dl.sourceforge.net/project/nsis/NSIS%203/3.08/nsis-3.08.zip","C:\DelugeDownloads\nsis-3.08.zip")
    }
I cannot get the URL for NSIS to download:
https://phoenixnap.dl.sourceforge.net/p ... s-3.08.zip

Rather, you may want to use this URL:
https://downloads.sourceforge.net/proje ... s-3.08.zip

Unless there is a particular reason you decided to use "phoenixnap"?
mhertz
Moderator
Moderator
Posts: 1511
Joined: Wed Jan 22, 2014 5:05 am
Location: Denmark

Re: Deluge Windows Builds

Post by mhertz »

sharmanhall wrote: Sun May 01, 2022 8:37 am I have some issues with all of the deluge 2.x installers I have used.
Current one I tried was deluge-2.1.0.dev59-win64
  1. I cannot get ItConfig 2.0 to work. The main issue is when I select it and apply Deluge crashes.
For me it works, and I know several here likewise, so not a general problem atleast - I too tried your exact version to make sure again just now, with same result.

Check if debug-logging catches your issue('deluge.exe -L debug -l "%userprofile%\Desktop\deluge.log"'), or e.g. run deluge-debug.exe from a cmd and copy/paste the error here, if wanted.

Btw, alot of crashing, especially deluge2 seemingly(though not solely), is related to yarss2 plugin as far as i've noticed(well, seen reported I mean, as don't use myself), with also open bug-reports on yarss2 bug-tracker about this, with echo's from affected users.

Last, i'd try with a fresh profile just in case, so e.g. rename '%appdata%\Deluge' to '%appdata%\Deluge-bak' with deluge closed, for a quick test(start/stop deluge to generate new profile-dir, copy ltconfig over from old to new dir and test again).
ambipro
New User
New User
Posts: 3
Joined: Thu May 19, 2022 3:33 am

Re: Deluge Windows Builds

Post by ambipro »

doadin wrote: Sun Feb 13, 2022 12:51 am New builds:
deluge-py3.9-lt1.2.15-x64: https://mega.nz/file/2oQXxS6D#yzIszz3qy ... Ga5WZC8c9g
deluge-py3.9-lt1.2.15-x86: https://mega.nz/file/DwYjnKba#egwaYz8FC ... zFI_c_bu2o
deluge-py3.9-lt2.0.5-x64: https://mega.nz/file/PsJzCKoR#uSjlywy9Y ... 5tcn1DZlds
deluge-py3.9-lt2.0.5-x86: https://mega.nz/file/W4B33KAC#EhSYAtFgq ... hKWpafqx6g

There builds have some changes from PRs on github that fixes a few things.
It appears that the latest builds of the 2.0.5 x64 and x86 versions of deluge are 2.1.0, rather then the expected 2.0.5. I'm on a tracker that doesn't whitelist beta/dev builds, so am unable to use that...I had to revert back to a previous build. I don't know if you are aware of this and it is just an oversight or if there is a reason that you are releasing only the 2.1.0 version now? I'd like an updated version of 2.0.5 if possible, can you clarify the reasoning behind this? This was mentioned by another user a few posts up, but it doesn't seem to be addressed.

Also, YaRSS seemed to be working on deluge-2.0.4.dev50 (deluge-2.0.4.dev50-lt1.2.13-boost1.75-py3.9.2-ossl1.1.1j-GTK3.24.25.exe filename) and when I updated to 2.0.5 it broke, due to a series of what appears to be SSL errors.

Code: Select all

deluge.error.DelugeError: Exception occured in feedparser: <urlopen error unknown url type: https>
Has this been worked on, I didn't see any solutions posted anywhere, only a single report of this and other YaRSS problems.

After trying another version of 2.0.5 posted by mhertz, I got the following error when attempting to load the plugin.

Code: Select all

22:52:21 [ERROR   ][deluge.pluginmanagerbase          :81  ] The 'YaRSS2' distribution was not found and is required by the application
My whole reason for upgrading to this is that deluge 2.0.4 dev50 build I mentioned previously keeps crashing, I have ~400 torrents seeding and don't know why that would cause it at all. Is there a later 2.0.4 build that would work with YaRSS ? I'm using YaRSS2-2.1.5-py3.9 that was modified and posted here, and it seems to work fine...

This is what happens right before it crashes.

Code: Select all

Gtk:ERROR:../gtk/gtktextview.c:4451:gtk_text_view_validate_onscreen: assertion failed: (priv->onscreen_validated)
Bail out! Gtk:ERROR:../gtk/gtktextview.c:4451:gtk_text_view_validate_onscreen: assertion failed: (priv->onscreen_validated)
mhertz
Moderator
Moderator
Posts: 1511
Joined: Wed Jan 22, 2014 5:05 am
Location: Denmark

Re: Deluge Windows Builds

Post by mhertz »

Just quickly about my posted deluge build(not to derail this thread), then rename the 'py-3.9' part away from plugin filename and will load. This shouldn't be necesarry anymore, but for some reason still is with this specific plugin(my build is py3.10 based if remember correct, and do know it worked with yarss2).

The yarss2 issue with crashing deluge is sadly still unresolved - I've googled it alot previously, and built different versions of gtk3, it's bindings, libtorrent, runtimes and twisted etc, to try fix for the reporting users, but stil nothing unfortunetly. If remember correct, then also happened on daemon without gtk reportedly - I'm not 100% sure though, and those PMs deleted now(had to, because of filled inbox reasons) so cannot check. I've never been able to reproduce myself, but neither had many torrents when testing it, but did left up for 12 hours etc. (Edit: 99% sure remember now, that this was reported on deamon alone too, after I suggested only connecting gtkui on-demand, and still failed after around 24 hours in daemon - I remember got a new post about had happened again after we thought found a workaround in a previous post after 12 hours run - this was with 200 torrents and I believe deluge 2.0.3 or 2.0.4-dev).

If doadin don't beat me, then I'll try figure out what is missing with the SSL error, but probably first tomorrow or later. That error though sounds like there's no openssl dlls found for _SSL module to utilize, which I'm pretty sure should be on doadin's builds, in fact I know I specifically checked this but was several months ago, but as said will check again later.

Yes it's dev release of deluge, as he posted previously. You can spoof the agent with ltconfig, or in code, if darring - one reported working with the admin of one tracker to get permission to change agent, or something along those lines, to avoid risk banning.

I'll Google the gtk error later, cannot remember if done that one before, but have with other gtk/gdk ones reported.

Thanks for details :)
ambipro
New User
New User
Posts: 3
Joined: Thu May 19, 2022 3:33 am

Re: Deluge Windows Builds

Post by ambipro »

mhertz wrote: Thu May 19, 2022 7:53 am Just quickly about my posted deluge build(not to derail this thread), then rename the 'py-3.9' part away from plugin filename and will load. This shouldn't be necesarry anymore, but for some reason still is with this specific plugin(my build is py3.10 based if remember correct, and do know it worked with yarss2).

The yarss2 issue with crashing deluge is sadly still unresolved - I've googled it alot previously, and built different versions of gtk3, it's bindings, libtorrent, runtimes and twisted etc, to try fix for the reporting users, but stil nothing unfortunetly. If remember correct, then also happened on daemon without gtk reportedly - I'm not 100% sure though, and those PMs deleted now(had to, because of filled inbox reasons) so cannot check. I've never been able to reproduce myself, but neither had many torrents when testing it, but did left up for 12 hours etc. (Edit: 99% sure remember now, that this was reported on deamon alone too, after I suggested only connecting gtkui on-demand, and still failed after around 24 hours in daemon - I remember got a new post about had happened again after we thought found a workaround in a previous post after 12 hours run - this was with 200 torrents and I believe deluge 2.0.3 or 2.0.4-dev).

If doadin don't beat me, then I'll try figure out what is missing with the SSL error, but probably first tomorrow or later. That error though sounds like there's no openssl dlls found for _SSL module to utilize, which I'm pretty sure should be on doadin's builds, in fact I know I specifically checked this but was several months ago, but as said will check again later.

Yes it's dev release of deluge, as he posted previously. You can spoof the agent with ltconfig, or in code, if darring - one reported working with the admin of one tracker to get permission to change agent, or something along those lines, to avoid risk banning.

I'll Google the gtk error later, cannot remember if done that one before, but have with other gtk/gdk ones reported.

Thanks for details :)
A few things in response, and thanks for getting back so quickly, hopefully doadin sees this too.

I'll try the renaming from py-3.9, I assume that will work.

I wasn't experiencing any crashes due to YaRSS as far as I can tell from the debug, the only issue I ever had was with the SSL, which as I said I am using a modified version I found here on the forums, and it seems to only produce a warning for SSL certificates upon downloading a torrent. It works fine, though. If you could point me to a post or thread concerning this crashing, before I upgrade I'd like to check that out...

Code: Select all

deluge\plugins\yarss2-2.1.5-py3.9.egg\yarss2\include\urllib3\src\urllib3\connectionpool.py:997: InsecureRequestWarning: Unverified HTTPS request is being made. Adding certificate verification is strongly advised. See: https://urllib3.readthedocs.io/en/latest/advanced-usage.html#ssl-warnings
I'm currently running a test with the 2.0.4 dev50 I had previously mentioned returning to - instead of having it minimized to taskbar or having the windows/gui active, I've got it minimized to the tray. Curious if this "onscreen" error that caused the bailout would occur in that state.

Finally, spoofing isn't really something I intend on trying, due to risk of discovery and banning would be tragic. I'm curious as to the issue I had mentioned with doadins 2.0.5 builds actually being 2.1.x installer inside the mislabeled zips he uploaded, and why if he did that on purpose? It is confusing to say the least, I think it might have been inadvertent? That's the only thing I can figure makes sense...why build 2 releases of the same version and label them differently? An updated version of 2.0.5 if its still being developed (preferably without a crashing GTK/YaRSS2 :P) would be nice, as 2.0.x is whitelisted on the aforementioned tracker, and 2.1.x is not.

I'll report back on the gtk bug if you're curious or whatever, but since its an outdated build I'm not too sure if that issue is ongoing or fixed.
Post Reply